Skip to main content

Tenant Events

NewBeta

TenantEvent objects represent tenant events such as move-ins, move-outs, and notices from AppFolio®. Skywalk API allows you to obtain the following tenant event attributes from AppFolio®.

The TenantEvent Object

Attributes


occurredDatestring
Date the event occurred.
Example:
"03/02/2026"

eventstring
Type of event (Move-in, Move-out, Notice).
Example:
"Notice"

property.appfolioIdinteger
Appfolio id of the property.
Example:
7

property.namestring
Name of the property.
Example:
"Warm Weather Apartments"

unit.appfolioIdinteger
Appfolio id of the unit.
Example:
210

unit.namestring
Unit name/number.
Example:
"101"

tenant.appfolioIdinteger
Appfolio id of the tenant.
Example:
254

tenant.namestring
Name of the tenant.
Example:
"Johnston, Johnny L."

tenant.statusstring
Status of the tenant.
Example:
"Notice"

rentstring
Rent amount.
Example:
"4,095.00"

leaseFromstring
Lease start date.
Example:
"02/06/2023"

leaseTostring
Lease end date.
Example:
"08/09/2024"

moveOutDatestring
Move-out date.
Example:
"04/01/2026"

moveOutReasonstring
Reason for move-out.
Example:
"Relocating out of state"

moveInDatestring
Move-in date.
Example:
"02/06/2023"


More Attributes


property.addressstring

property.streetstring

property.street2string

property.citystring

property.statestring

property.zipstring

property.typestring

unit.tagsstring

unit.typestring

tenant.phoneNumberstring

tenant.emailstring

tenant.tagsstring

occupancy.appfolioIdinteger

depositstring

depositsAuthorizedstring

leaseSignDatestring

assignedUserstring

tenantSdrPaymentstring

rentalApplicationIdinteger

portfolioIdinteger

sdrEcheckEligibilitystring

The TenantEvent Object
{
"occurredDate": "03/02/2026",
"event": "Notice",
"property": {
"appfolioId": 7,
"name": "Warm Weather Apartments",
"address": "1234 Warm Weather Rd., CA 90001",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001",
"type": "Multi-Family"
},
"unit": {
"appfolioId": 210,
"name": "101",
"tags": "loft",
"type": "2 Bed + 2 Bath w/ Loft"
},
"tenant": {
"appfolioId": 254,
"name": "Johnston, Johnny L.",
"phoneNumber": "(111) 111-1111",
"email": "joneyjohsnston@yahoo.com",
"tags": "Good Credit",
"status": "Notice"
},
"occupancy": {
"appfolioId": 117
},
"rent": "4,095.00",
"leaseFrom": "02/06/2023",
"leaseTo": "08/09/2024",
"deposit": "3,995.00",
"depositsAuthorized": "0.00",
"moveOutDate": "04/01/2026",
"moveOutReason": "Relocating out of state",
"moveInDate": "02/06/2023",
"leaseSignDate": "02/06/2023",
"assignedUser": null,
"tenantSdrPayment": "No Refund",
"rentalApplicationId": 1867,
"portfolioId": 9,
"sdrEcheckEligibility": "Yes"
}

Get All Tenant Events

GET /v1/tenant-events

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The tenant events endpoint returns a list of tenant events (move-ins, move-outs, notices) for properties in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters


propertyIdselect
AppFolio ID of a Property to serve as a filter.

propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.

ownerIdselect
AppFolio ID of an Owner to serve as a filter.

dateRangeselect
Event date Range for report.
Default Value:  
this_month
Possible Values:  
today
this_week
this_week_to_date
this_month
this_month_to_date
this_quarter
this_quarter_to_date
this_year_to_date
last_year
last_year_to_date
yesterday
last_week
last_week_to_date
last_month
last_month_to_date
last_quarter
last_quarter_to_date
last_7_days
last_30_days
last_60_days
last_90_days
trailing_12_months
next_7_days
next_30_days
next_60_days
next_90_days
next_week
next_month
next_quarter
until_1_week_ago
until_1_month_ago
all_time

dateFromdate
Event date to given in MM/DD/YYYY (e.g. 01/31/2021)

dateTodate
Event date to given in MM/DD/YYYY (e.g. 01/31/2021)

eventTypemulti
Filter events by type.
Possible Values: all, Move-in, Move-out, Notice
Default Value:  
all
Possible Values:  
all
Move-in
Move-out
Notice

 

Returns


The standard List Response Format with a data property containing an array of TenantEvent objects.

GET /v1/tenant-events
curl -X GET 'https://api.skywalkapi.com/v1/tenant-events' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/tenant-events",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/tenant-events?cursor=abcdefg"
},
"data": [
{
"occurredDate": "03/02/2026",
"event": "Notice",
"property": {
"appfolioId": 7,
"name": "Warm Weather Apartments",
"address": "1234 Warm Weather Rd., CA 90001",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001",
"type": "Multi-Family"
},
"unit": {
"appfolioId": 210,
"name": "101",
"tags": "loft",
"type": "2 Bed + 2 Bath w/ Loft"
},
"tenant": {
"appfolioId": 254,
"name": "Johnston, Johnny L.",
"phoneNumber": "(111) 111-1111",
"email": "joneyjohsnston@yahoo.com",
"tags": "Good Credit",
"status": "Notice"
},
"occupancy": {
"appfolioId": 117
},
"rent": "4,095.00",
"leaseFrom": "02/06/2023",
"leaseTo": "08/09/2024",
"deposit": "3,995.00",
"depositsAuthorized": "0.00",
"moveOutDate": "04/01/2026",
"moveOutReason": "Relocating out of state",
"moveInDate": "02/06/2023",
"leaseSignDate": "02/06/2023",
"assignedUser": null,
"tenantSdrPayment": "No Refund",
"rentalApplicationId": 1867,
"portfolioId": 9,
"sdrEcheckEligibility": "Yes"
}
]
}